Commit dce4f7c6 authored by André Anjos's avatar André Anjos 💬

Remove most contact points with Bob/C++

parent ad89f56c
......@@ -9,7 +9,7 @@
#include "Spectrogram.h"
#include <bob.core/assert.h>
#include <bob/core/cast.h>
#include <bob.core/cast.h>
bob::ap::Spectrogram::Spectrogram(const double sampling_frequency,
const double win_length_ms, const double win_shift_ms,
......
......@@ -7,8 +7,6 @@
#include <Python.h>
#include <bob/config.h>
#include <string>
#include <cstdlib>
#include <blitz/blitz.h>
......@@ -81,13 +79,6 @@ static PyObject* python_version() {
return Py_BuildValue("s", f.str().c_str());
}
/**
* Bob version, API version and platform
*/
static PyObject* bob_version() {
return Py_BuildValue("sis", BOB_VERSION, BOB_API_VERSION, BOB_PLATFORM);
}
/**
* Numpy version
*/
......@@ -123,7 +114,6 @@ static PyObject* build_version_dictionary() {
if (!dict_steal(retval, "NumPy", numpy_version())) return 0;
if (!dict_steal(retval, "bob.blitz", bob_blitz_version())) return 0;
if (!dict_steal(retval, "bob.core", bob_core_version())) return 0;
if (!dict_steal(retval, "Bob", bob_version())) return 0;
Py_INCREF(retval);
return retval;
......
......@@ -10,7 +10,7 @@ import bob.core
include_dirs = [bob.core.get_include()]
packages = ['bob-core >= 1.2.2', 'bob-sp >= 1.2.2']
packages = ['bob-sp >= 1.2.2']
version = '2.0.0a0'
setup(
......@@ -47,7 +47,6 @@ setup(
"bob/ap/version.cpp",
],
include_dirs = include_dirs,
packages = packages,
version = version,
),
Extension("bob.ap._library",
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment